// bb_it_partyeditor OnAcquired handler
// by Brendan Bellina
// March, 2009

// To trigger properly the name of the script MUST be "i_" + itemtag + "_aq"
#include "ginc_debug"
#include "ginc_item_script"
	
void main()
{
    object oPC      = GetModuleItemAcquiredBy();
    object oItem    = GetModuleItemAcquired();
//	PrettyDebug("i_" + GetTag(oItem) + "_aq");
	
	// Once marked complete, never run this script again.
	if (IsItemMarkedAsDone(oItem, SCRIPT_MODULE_ON_ACQUIRE_ITEM))
		return;
	
	// 	Don't run this script unless it is acquired by a player or party member
	if (!IsItemAcquiredByPartyMember())
		return;
		
	// Permanently mark item as complete so script will never run again (even if the character is exported to another game)		
	MarkItemAsDone(oItem, SCRIPT_MODULE_ON_ACQUIRE_ITEM);
	
	string sMsg = "Вы получили Журнал регистрации группы. Активируйте этот предмет чтобы добавить сопартийцев.";
	DisplayMessageBox(oPC, 0, sMsg, "", "", FALSE, "", 0, "Ok", 0, "");
}